<mat-drawer-container class="main-drawer-container" autosize>
  <mat-drawer #drawer class="main-drawer" [mode]="drawerMode$ | async" [opened]="!(isSmallScreen$ | async)">
    <mat-toolbar color="primary">{{ 'menu.title' | translate }}</mat-toolbar>

    <mat-list role="list">
      <mat-list-item role="listitem" *ngFor="let menuItem of menuItems">
        <button class="sidebar-button" mat-button [routerLink]="[menuItem.route]" routerLinkActive="active">
          <mat-icon>{{ menuItem.icon }}</mat-icon> {{ menuItem.titleKey | translate }}
        </button>
      </mat-list-item>
    </mat-list>
  </mat-drawer>

  <mat-drawer-content>
    <router-outlet></router-outlet>
  </mat-drawer-content>
</mat-drawer-container>
